Summary:	Lynx-like text WWW browser
Name:		linkx
Version:	2.2
Release:	%mkrel 7
License:	GPL
Group:		Networking/WWW
#Source0:	%{name}-%{ver}.tar.bz2
Source0:	%{name}.tar.gz
Patch0:		linkx-libpng15.patch
Patch1:		linkx-fix-png-crash.diff
URL:		http://linkx.sourceforge.net/
BuildRequires:  libx11-devel
BuildRequires:	bzip2-devel
BuildRequires:	openssl-devel
BuildRequires:	directfb-devel
BuildRequires:	freetype2-devel
BuildRequires:	gd-devel
BuildRequires:	gpm-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	tiff-devel
Provides:	webclient

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

Linkx is based on top of links and offer the below features:
- Cookies (load/save/block)
- Tabs
- Access keys (really, really cool feature)
- Forward!
- XDnD drop support
- Italics (some compile time fiddling required)

%prep
%setup  -q -n %name/%name
%patch0 -p1
%patch1 -p1

%build
%configure2_5x --enable-graphics --enable-javascript
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links (tabbed)
Comment=Lynx-like text WWW browser
Exec=%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
EOF

#install -d %buildroot/%_liconsdir/
#install -d %buildroot/%_miconsdir/
#install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
#install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
#install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png

#conflicts with links:
mv %buildroot%_bindir/link{s,x}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%_bindir/%name
%_mandir/*/*
%_datadir/applications/%{_real_vendor}-%{name}.desktop
#
#_miconsdir/*.png
#_iconsdir/*.png
#_liconsdir/*.png



%changelog

* Sun Jan 08 2012 wally <wally> 2.2-7.mga2
+ Revision: 193171
- rebuild for new libtiff
- fix .desktop file name

* Thu Nov 17 2011 tv <tv> 2.2-6.mga2
+ Revision: 168541
- patch 1: fix png crashes

* Thu Nov 17 2011 tv <tv> 2.2-5.mga2
+ Revision: 168488
- rebuild due to png crashes

* Wed Oct 26 2011 tv <tv> 2.2-4.mga2
+ Revision: 158172
- build without obsolete svgalib

* Mon Sep 19 2011 fwang <fwang> 2.2-3.mga2
+ Revision: 145342
- fix build with latest libpng

* Mon Jul 18 2011 fwang <fwang> 2.2-2.mga2
+ Revision: 125811
- rebuild for new dfb

* Thu May 12 2011 tv <tv> 2.2-1.mga1
+ Revision: 97650
- imported package linkx


* Thu May 12 2011 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1.mga1
-initial release

